### Marta Shocket, Indiana University, Stanford University
### Code for 'Parasite rearing and infection temperatures jointly influence disease 
### transmission and shape seasonality of epidemics. Published in Ecology.(2018)

### Purpose: Plot example profiles of weighted temperature and infection prevalence (Downing lake in 2010)

# Set working directory
setwd("~/Dropbox/Research Hall Lab/Temperature/Temp Spore Infectivity/Final Code and Data")

# Read in data
data <- read.csv("Fig1Data.csv")
data.temp = data[-8, ] # One sampling date has missing temperature data (probe wasn't working)

##### Figure 1
par(mfrow = c(1, 1), mar = c(4, 4.5, 1, 4.25), las = 1, oma = c(0, 0, 0, 0))
plot(MetschPrev/100 ~ JulianDay, data = data, col = "black", bg = "gray40", pch = 21, xlim = c(210, 338), ylim = c(0, .31), xlab = "Date", xaxt = "n", yaxt= "n",
     ylab = "Infection Prevalence", cex.axis = 1, cex.lab = 1.25, las = 1, type = "o", lwd = 2)
axis(side = 2, at = c(0, 0.1, 0.2, 0.3))
par(new = TRUE)
plot(WeightedTemp ~ JulianDay, data = data.temp, pch = 21, col = "turquoise4", type = "l", lwd = 2, axes = FALSE, bty = "n", ylim = c(7, 28), xlim = c(210, 338), xlab = "", ylab = "")
axis(side = 4, cex.axis = 1)
points(WeightedTemp ~ JulianDay, data = data.temp, pch = 21, col = "turquoise4", type = "p", bg = "turquoise3", cex = 1.25, lwd = 1)
axis(side = 1, at = c(213, 244, 274, 305, 335), labels = c("Aug 1", "Sept 1", "Oct 1", "Nov 1", "Dec 1"))
text(x = 363, y = 16, labels = expression(paste("Weighted temperature (",degree,"C)")), cex = 1.25, las = 0, xpd = NA, srt = 270)
text(labels = expression(paste("    Infection \n prevalence")), x = 230, y = 11)
text(labels = expression(paste("Temperature (",degree,"C)")), x = 237, y = 21.5)
mtext(side = 2, line = 3.2, text = "A", cex = 1.5, padj = -9.75)
